Name:		qtparted
Version:	0.4.5
Release:	%mkrel 10
Summary:	Flexible partitioning tool
License:	GPLv2+
Group:		System/Configuration/Hardware
URL:		http://qtparted.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
# parted 1.7.x support, adapted from CVS
# http://qtparted.cvs.sourceforge.net/qtparted/qtparted-003/qtparted-003/src/qp_fswrap.cpp?r1=1.30&r2=1.32&view=patch
Patch0:		qtparted-parted1.7.patch
Patch1:         qtparted-0.4.5-fix-automake.patch
Patch2:		qtparted-0.4.5-parted-1.9-fix.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	e2fsprogs-devel 
BuildRequires:	readline-devel
BuildRequires:	libntfs-devel 
BuildRequires:	ntfsprogs 
BuildRequires:	jfsprogs
BuildRequires:	gpm-devel 
BuildRequires:	ncurses-devel 
BuildRequires:	libqt-devel
BuildRequires:	parted-devel
BuildRequires:	autoconf
BuildRequires:	automake1.7
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Requires:	usermode-consoleonly

%description
QTParted is a qt frontend for parted.

GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%prep
%setup -q
%patch0 -p1 -b .parted1.7
%patch1 -p0
%patch2 -p1

%build
# We need get rid of deprecated unsermake
make -f admin/Makefile.common

export QTLIB=%{qt3lib}
export PATH=$PATH:%{qt3dir}/bin
# we miss reiserfsprogs library:
%configure2_5x	--disable-reiserfs \
		--disable-static \
		--disable-xfs
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -m644 doc/%{name}.1 -D %{buildroot}%{_mandir}/man1

desktop-file-install --vendor="" --delete-original \
	--remove-category="Application" \
	--remove-category="QT" \
	--add-category="Qt" \
	--add-category="Settings" \
	--add-category="HardwareSettings" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applnk/System/*

install -m644 data/qtparted_16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 data/qtparted_32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 data/qtparted_64.png -D %{buildroot}%{_liconsdir}/%{name}.png
convert -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png{,}

install -d %{buildroot}%{_bindir}
ln -sf consolehelper %{buildroot}%{_bindir}/%{name}
sed -i 's#/usr/sbin/##' %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}


%files -f %{name}.lang
%defattr(-,root,root,755)
%doc doc/README
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_sbindir}/*
%{_bindir}/%{name}


%changelog
* Wed Jul 29 2009 Emmanuel Andry <eandry@mandriva.org> 0.4.5-10mdv2010.0
+ Revision: 404033
- BR automake1.7
- add p1 from gentoo to fix build with parted 1.9
- rebuild for new parted

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.5-9mdv2009.0
+ Revision: 269082
- rebuild early 2009.0 package (before pixel changes)

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 0.4.5-8mdv2009.0
+ Revision: 200854
- fix sed
- export qt3dir path
- fix desktop file location

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.5-7mdv2008.0
+ Revision: 29317
- rebuild with new parted library


* Thu Feb 15 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.5-6mdv2007.0
+ Revision: 121543
- bump
- cleanups
- from Jos?\195?\169 Melo <mmodem00@gmail.com>
  o Create menu entry
  o Help with consolehelper to run

* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 0.4.5-5mdv2007.1
+ Revision: 113692
- rebuild for libparted-1.8.so.2

* Mon Jan 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.5-4mdv2007.1
+ Revision: 112061
- Add Patch1: Fix automake detection
- Rebuild to fix bug #27944

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild for new parted (#26564)

* Wed Jul 12 2006 Olivier Blin <oblin@mandriva.com> 0.4.5-1mdv2007.0
+ Revision: 38789
- use makeinstall_std again
- parted 1.7.x support, adapted from CVS
- use a more classical fields layout in spec file
- drop duplicated BuildRequires
- run autoreconf not to use unsermake
- 0.4.5
- use BuildRequires instead of BuildPrereq
- fix configure script options on i586 (it broke build)
- import qtparted-0.4.4-6mdk

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fix qt detection on x86_6
    - Rebuild the buildsystem to avoid wrong unsermake requires

* Mon Feb 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.4-6mdk
- Fix Build for amd64

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.4-5mdk
- BuildRequires fix

* Mon Oct 03 2005 Olivier Blin <oblin@mandriva.com> 0.4.4-4mdk
- rebuild for parted-1.6.24

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-3mdk
- relink with new libparted-1.6.so.12 library (#12334)

* Sat Jun 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-2mdk
- REbuild

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

